#language: ru

@CheckingCustomerOrders

Функционал: 004. CheckingCustomerOrders. Дозаполнение данных по контрагентам

Сценарий: 004.1. CheckingCustomerOrders. Создание холдинга

	Дано Я подключаюсь под "Ведение контрагентов"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.004. Проверки заказов клиентов"
	Дано я удаляю объекты "Справочники.к2Холдинги" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Холдинги'
	Тогда я жду открытия окна 'Холдинги' в течение 20 секунд
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Холдинги (создание)'
	И в поле 'Наименование' я ввожу текст 'Холдинг-компания'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Холдинги (создание)' в течение 20 секунд
	Тогда открылось окно 'Холдинги'
	И я закрываю окно 'Холдинги'

Сценарий: 004.2. CheckingCustomerOrders. Заполнение холдинга для контрагентов

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Контрагенты'
	Тогда я жду открытия окна 'Контрагенты' в течение 20 секунд
	* Заполнение холдинга для Ашана
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Ашан'         |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Ашан (Контрагент)'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Ашан (Контрагент)' в течение 20 секунд
		Тогда открылось окно 'Контрагенты'
	* Заполнение холдинга для 5ка
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| '5ка'          |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно '5ка (Контрагент)'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна '5ка (Контрагент)' в течение 20 секунд
		Тогда открылось окно 'Контрагенты'
	* Заполнение холдинга для Перекрестка
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Перекресток'  |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Перекресток (Контрагент)'
		И я перехожу к закладке "Планирование"
		И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Перекресток (Контрагент)' в течение 20 секунд
		Тогда открылось окно 'Контрагенты'
	И Я закрываю окно 'Контрагенты'

Сценарий: 004.3. CheckingCustomerOrders. Заполнение графиков доставки и менеджеров для точек доставки
	
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Точки доставки'
	Тогда я жду открытия окна 'Точки доставки' в течение 20 секунд
	* Заполнение региона и графика для точки доставки Ашан. Бесскидочный регион
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'              |
			| 'Ашан. Бесскидочный регион' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Ашан. Бесскидочный регион (Точка доставки)'
		И из выпадающего списка "Менеджер" я выбираю по строке 'Основной менеджер'
		И я перехожу к закладке "Логистика"
		И я нажимаю кнопку выбора у поля "Группа планирования отгрузки"
		Тогда открылось окно 'Группы планирования отгрузки'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Ашан. Бесскидочный регион (Точка доставки) *'
		И в поле 'Длительность доставки, дней' я ввожу текст '1'
		И из выпадающего списка "Склад отгрузки" я выбираю по строке 'Сырная ГП'
		И я перехожу к закладке "Доставка"
		И я снимаю флаг с именем 'Вторник'
		И я снимаю флаг с именем 'Четверг'
		И я снимаю флаг с именем 'Суббота'
		И я снимаю флаг с именем 'Воскресенье'
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеДобавить'
		И в таблице "УточненияПоДоставке" из выпадающего списка с именем "УточненияПоДоставкеТоварнаяКатегория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеПонедельник'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеВторник'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеСреда'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеЧетверг'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеСуббота'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеВоскресенье'
		И в таблице "УточненияПоДоставке" я завершаю редактирование строки
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Ашан. Бесскидочный регион (Точка доставки) *' в течение 20 секунд
		Тогда открылось окно 'Точки доставки'
	* Заполнение региона и графика для точки доставки Ашан. Скидочный регион
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'           |
			| 'Ашан. Скидочный регион' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Ашан. Скидочный регион (Точка доставки)'
		И из выпадающего списка "Менеджер" я выбираю по строке 'Основной менеджер'
		И я перехожу к закладке "Логистика"
		И я нажимаю кнопку выбора у поля "Группа планирования отгрузки"
		Тогда открылось окно 'Группы планирования отгрузки'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Ашан. Скидочный регион (Точка доставки) *'
		И в поле 'Длительность доставки, дней' я ввожу текст '1'
		И из выпадающего списка "Склад отгрузки" я выбираю по строке 'Сырная ГП'
		И в таблице "УточненияПоОтгрузке" я нажимаю на кнопку с именем 'УточненияПоОтгрузкеДобавить'
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Товарная категория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоОтгрузке" я активизирую поле "Склад"
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
		И в таблице "УточненияПоОтгрузке" я завершаю редактирование строки
		И я снимаю флаг с именем 'Четверг'
		И я снимаю флаг с именем 'Пятница'
		И я снимаю флаг с именем 'Суббота'
		И я снимаю флаг с именем 'Воскресенье'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Ашан. Скидочный регион (Точка доставки) *' в течение 20 секунд
		Тогда открылось окно 'Точки доставки'
	* Заполнение графика для точки доставки Точка доставки для 5ка. Без региона
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                        |
			| 'Точка доставки для 5ка. Без региона' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Точка доставки для 5ка. Без региона (Точка доставки)'
		И из выпадающего списка "Менеджер" я выбираю по строке 'Основной менеджер'
		И я перехожу к закладке "Логистика"
		И я нажимаю кнопку выбора у поля "Группа планирования отгрузки"
		Тогда открылось окно 'Группы планирования отгрузки'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Точка доставки для 5ка. Без региона (Точка доставки) *'
		И в поле 'Длительность доставки, дней' я ввожу текст '1'
		И из выпадающего списка "Склад отгрузки" я выбираю по строке 'Сырная ГП'
		И в таблице "УточненияПоОтгрузке" я нажимаю на кнопку с именем 'УточненияПоОтгрузкеДобавить'
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Товарная категория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоОтгрузке" я активизирую поле "Склад"
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
		И в таблице "УточненияПоОтгрузке" я завершаю редактирование строки
		И я снимаю флаг с именем 'Понедельник'
		И я снимаю флаг с именем 'Среда'
		И я снимаю флаг с именем 'Четверг'
		И я снимаю флаг с именем 'Пятница'
		И я снимаю флаг с именем 'Суббота'
		И я снимаю флаг с именем 'Воскресенье'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Точка доставки для 5ка. Без региона (Точка доставки) *' в течение 20 секунд
		Тогда открылось окно 'Точки доставки'
	* Заполнение графика для точки доставки Обычная точка доставки. Без региона
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                        |
			| 'Обычная точка доставки. Без региона' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Обычная точка доставки. Без региона (Точка доставки)'
		И из выпадающего списка "Менеджер" я выбираю по строке 'Основной менеджер'
		И я перехожу к закладке "Логистика"
		И я нажимаю кнопку выбора у поля "Группа планирования отгрузки"
		Тогда открылось окно 'Группы планирования отгрузки'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Обычная точка доставки. Без региона (Точка доставки) *'
		И в поле 'Длительность доставки, дней' я ввожу текст '1'
		И из выпадающего списка "Склад отгрузки" я выбираю по строке 'Сырная ГП'
		И в таблице "УточненияПоОтгрузке" я нажимаю на кнопку с именем 'УточненияПоОтгрузкеДобавить'
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Товарная категория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоОтгрузке" я активизирую поле "Склад"
		И в таблице "УточненияПоОтгрузке" из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
		И в таблице "УточненияПоОтгрузке" я завершаю редактирование строки
		И я перехожу к закладке "Доставка"
		И я нажимаю на кнопку с именем 'ВыбратьВсеДни'
		И я снимаю флаг с именем 'Вторник'
		И я снимаю флаг с именем 'Воскресенье'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Обычная точка доставки. Без региона (Точка доставки) *' в течение 20 секунд
		Тогда открылось окно 'Точки доставки'
	И я закрываю окно 'Точки доставки'

Сценарий: 004.4. CheckingCustomerOrders. Завершение

	И я закрываю сеанс TESTCLIENT